﻿@using DataLayer
    @{
        var db = new DataBaseContext();
        var UserInfo = db.Users.FirstOrDefault(u => u.UserName == User.Identity.Name);
        var FullName = UserInfo.Lname + ' ' + UserInfo.Fname;
        string imgSrc = null;
        if (UserInfo.UserPic != null)
        {
            var base64 = Convert.ToBase64String(UserInfo.UserPic);
            imgSrc = String.Format("data:image/gif;base64,{0}", base64);
        }
        else
        {
            imgSrc = null;
        }


    }
<div class="w3-display-topleft w3-center">
    <img src="@imgSrc" alt="Avatar" style="width:10%;height:10%" class="img-circle">
    <strong class="w3-small">@FullName</strong>
</div>
